# $Id$
# The System Makefile (C) 2002 The UbixOS Project

all: tools kernel libc ubix objgfx40 libcpp bin
# depend kernel tools

libc: src
	(cd src/lib/libc;make)

objgfx40: src
	(cd src/lib/objgfx40;make)

ubix: src
	(cd src/lib/ubix;make)

libcpp: src
	(cd src/lib/libcpp;make)

depend: src
	(cd src/lib/ubix;make)

bin: src
	(cd src/bin;make)

kernel: src
	(cd src/sys;make)

tools: src
	(cd src/tools;make)

install:
	(cd src/sys;make install)
	
clean:
	(cd src/sys;make clean)
	(cd src/lib/libc;make clean)
	(cd src/bin;make clean)
	(cd src/lib/ubix;make clean)
	(cd src/lib/objgfx40;make clean)
	(cd src/lib/libcpp;make clean)
